commit:     59be92dc6450bdf6cd4ff1fe31508503bd645b27
Author:     Brian Dolbec <dolsen <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 20 17:09:15 2020 +0000
Commit:     Brian Dolbec <dolsen <AT> gentoo <DOT> org>
CommitDate: Mon Jul 20 17:19:19 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=59be92dc

dev-python/autobahn: Version bump, adds 2 new use flags

scram: adds wamp-scram authentication
xbr: adds XBR network capability (masked: as yet incomplete dependencies)

Clean old versions (deprecated EAPI)
closes: https://bugs.gentoo.org/704754

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Brian Dolbec <dolsen <AT> gentoo.org>

 dev-python/autobahn/Manifest                       |  2 +-
 dev-python/autobahn/autobahn-20.4.3.ebuild         |  2 +-
 ...tobahn-18.3.1.ebuild => autobahn-20.7.1.ebuild} | 65 +++++++++++++++-------
 dev-python/autobahn/metadata.xml                   | 20 ++++---
 4 files changed, 60 insertions(+), 29 deletions(-)

diff --git a/dev-python/autobahn/Manifest b/dev-python/autobahn/Manifest
index fe5e0b8e0b5..7eca849b769 100644
--- a/dev-python/autobahn/Manifest
+++ b/dev-python/autobahn/Manifest
@@ -1,2 +1,2 @@
-DIST autobahn-18.3.1.tar.gz 213042 BLAKE2B 
2f5eb92212f57d2301dbac1108a81cbbd339da4cb5527e3eb55f1ae7dcb951fed3cb7c643e76beaa0a83d623fe96f9eebcf7945e10efb0773e102d0234ebc479
 SHA512 
3d122cfb54eff0697cf60cd155a07699c6f6b39e573616c247ea79e65e6fa0a86d505ea8bc4f4755dbf266fb8bc7fadabb4338aeb1b9e6a2f0503e1b4d25e2e6
 DIST autobahn-20.4.3.tar.gz 938992 BLAKE2B 
259d18f4aa46f7eaeac75811c1c193f3046aca5c5e37627d9ac62eeaa3dc944d05a8d87a558e241bdef56c799be4d89f65d4c8ee7c1a2be20f892896227eb5f9
 SHA512 
c34f29951b8f9ff5161851cf3a7e964de136f6091b0231a8e78e7fe74cb085077be5078cee352b2c27412d9aa4303de1eb85aa1890b4fb583575638a9c47c6fb
+DIST autobahn-20.7.1.tar.gz 1260579 BLAKE2B 
925d148836348c068d179d4871267bf79c8c42d27cacc6be09cca11396dbd213a5b86344142df886d4ff69d1214a86b49900ca3552bcdb640377cb0d6af7d0f0
 SHA512 
e2c241194da90ada86a2804683cb063320f75a69b76ddc016349c11614e7f298619c2eeba4fcccb8f8d65d84375681fb339d9f92f94f45f1015f4f12fa0c39b0

diff --git a/dev-python/autobahn/autobahn-20.4.3.ebuild 
b/dev-python/autobahn/autobahn-20.4.3.ebuild
index 3f4f6d64a21..61cfc0c4b7c 100644
--- a/dev-python/autobahn/autobahn-20.4.3.ebuild
+++ b/dev-python/autobahn/autobahn-20.4.3.ebuild
@@ -39,7 +39,7 @@ RDEPEND="
                >=dev-python/pynacl-1.0.1[${PYTHON_USEDEP}]
                >=dev-python/pytrie-0.2[${PYTHON_USEDEP}]
                >=dev-python/pyqrcode-1.1.0[${PYTHON_USEDEP}]
-               >=dev-python/service_identity-18.1.0
+               >=dev-python/service_identity-18.1.0[${PYTHON_USEDEP}]
        )
        "
 DEPEND="${RDEPEND}

diff --git a/dev-python/autobahn/autobahn-18.3.1.ebuild 
b/dev-python/autobahn/autobahn-20.7.1.ebuild
similarity index 50%
rename from dev-python/autobahn/autobahn-18.3.1.ebuild
rename to dev-python/autobahn/autobahn-20.7.1.ebuild
index 9be3fd5f6a5..4b6e54bf13c 100644
--- a/dev-python/autobahn/autobahn-18.3.1.ebuild
+++ b/dev-python/autobahn/autobahn-20.7.1.ebuild
@@ -1,13 +1,14 @@
 # Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=7
 
-PYTHON_COMPAT=( python3_6 )
+PYTHON_COMPAT=( python3_{6,7,8} )
+DISTUTILS_USE_SETUPTOOLS=bdepend
 
-inherit distutils-r1 versionator
+inherit distutils-r1
 
-MY_P="${PN}-$(replace_version_separator 3 -)"
+MY_P=${PN}-$(ver_rs 3 -)
 
 DESCRIPTION="WebSocket and WAMP for Twisted and Asyncio"
 HOMEPAGE="https://pypi.org/project/autobahn/
@@ -17,19 +18,21 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_P}.tar.gz"
 
 SLOT="0"
 LICENSE="MIT"
-KEYWORDS="amd64 ~arm ~arm64 x86 ~amd64-linux ~x86-linux"
-IUSE="crypt test"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="crypt scram test xbr"
 RESTRICT="!test? ( test )"
 
 RDEPEND="
        >=dev-python/cbor-1.0.0[${PYTHON_USEDEP}]
+       >=dev-python/cbor2-5.1.0[${PYTHON_USEDEP}]
+       >=dev-python/flatbuffers-1.10.0[${PYTHON_USEDEP}]
        >=dev-python/lz4-0.7.0[${PYTHON_USEDEP}]
+       >=dev-python/msgpack-0.6.1[${PYTHON_USEDEP}]
        >=dev-python/py-ubjson-0.8.4[${PYTHON_USEDEP}]
-       >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
        >=dev-python/snappy-0.5[${PYTHON_USEDEP}]
-       >=dev-python/twisted-16.6.0-r2[${PYTHON_USEDEP}]
-       >=dev-python/txaio-2.7.0[${PYTHON_USEDEP}]
-       >=dev-python/u-msgpack-2.1[${PYTHON_USEDEP}]
+       >=dev-python/twisted-20.3.0[${PYTHON_USEDEP}]
+       >=dev-python/txaio-20.3.1[${PYTHON_USEDEP}]
+       >=dev-python/ujson-2.0.0[${PYTHON_USEDEP}]
        >=dev-python/wsaccel-0.6.2[${PYTHON_USEDEP}]
        >=dev-python/zope-interface-3.6[${PYTHON_USEDEP}]
        crypt? (
@@ -37,37 +40,61 @@ RDEPEND="
                >=dev-python/pynacl-1.0.1[${PYTHON_USEDEP}]
                >=dev-python/pytrie-0.2[${PYTHON_USEDEP}]
                >=dev-python/pyqrcode-1.1.0[${PYTHON_USEDEP}]
-               >=dev-python/service_identity-16.0.0
+               >=dev-python/service_identity-18.1.0[${PYTHON_USEDEP}]
+       )
+       scram? (
+               dev-python/cffi[${PYTHON_USEDEP}]
+               dev-python/argon2-cffi[${PYTHON_USEDEP}]
+               dev-python/passlib[${PYTHON_USEDEP}]
        )
        "
 DEPEND="${RDEPEND}
        test? (
                dev-python/mock[${PYTHON_USEDEP}]
                dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/pytest-asyncio[${PYTHON_USEDEP}]
                >=dev-python/pynacl-1.0.1[${PYTHON_USEDEP}]
                >=dev-python/pytrie-0.2[${PYTHON_USEDEP}]
                >=dev-python/pyqrcode-1.1.0[${PYTHON_USEDEP}]
-               dev-python/unittest2[${PYTHON_USEDEP}]
        )"
 
-PATCHES=(
-       "${FILESDIR}/${P}-Fix-cs-test-955.patch"
-)
-
 S="${WORKDIR}"/${MY_P}
 
+python_prepare_all() {
+       if use xbr ; then
+               eerror "***************"
+               eerror "Required xbr dependencies are incomplete in Gentoo."
+               eerror "So this functionality will not yet work"
+               eerror "Please file a bug if this feature is needed"
+               eerror "***************"
+       else
+               # remove xbr components
+               export AUTOBAHN_STRIP_XBR="True"
+       fi
+       distutils-r1_python_prepare_all
+}
+
 python_test() {
        echo "Testing all, cryptosign using twisted"
        export USE_TWISTED=true
        cd "${BUILD_DIR}"/lib || die
-       py.test -v || die
-       echo "RE-testing cryptosign using asyncio"
-       export USE_TWISTED=false
+       "${EPYTHON}" -m twisted.trial autobahn || die
+       unset USE_TWISTED
+       echo "RE-testing cryptosign and component_aio using asyncio"
        export USE_ASYNCIO=true
        py.test -v autobahn/wamp/test/test_cryptosign.py || die
+       py.test -v autobahn/wamp/test/test_component_aio.py || die
+       unset USE_ASYNCIO
        rm -r .pytest_cache || die
 }
 
+python_install_all() {
+       distutils-r1_python_install_all
+
+       # delete the dropin.cache so we don't have collisions if it exists
+       rm "${D}"/usr/lib*/python*/site-packages/twisted/plugins//dropin.cache 
> /dev/null
+}
+
 pkg_postinst() {
        python_foreach_impl twisted-regen-cache || die
 }

diff --git a/dev-python/autobahn/metadata.xml b/dev-python/autobahn/metadata.xml
index 6ea7ef02739..72fb58a68e0 100644
--- a/dev-python/autobahn/metadata.xml
+++ b/dev-python/autobahn/metadata.xml
@@ -1,12 +1,16 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
 <pkgmetadata>
-    <maintainer type="person">
-        <email>[email protected]</email>
-        <name>Brian Dolbec</name>
-    </maintainer>
-  <upstream>
-    <remote-id type="pypi">autobahn</remote-id>
-    <remote-id type="github">crossbar/autobahn</remote-id>
-  </upstream>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Brian Dolbec</name>
+       </maintainer>
+       <use>
+               <flag name="scram">Add support for WAMP-SCRAM 
authentication</flag>
+               <flag name="xbr">Add support for XBR decentralized data markets 
and etherium blockchain</flag>
+       </use>
+       <upstream>
+               <remote-id type="pypi">autobahn</remote-id>
+               <remote-id type="github">crossbar/autobahn</remote-id>
+       </upstream>
 </pkgmetadata>

Reply via email to